<?php

// Set up 
require_once('core.inc.php');
require_once('library/navigation.php');
require_once('library/authenticate.php');
require_once('library/common.php');
require_once('database.class.inc.php');

// Create Class Objects
$authenticate = new Authenticate();
$database = new Db();
$nav = new Nav();
$common = new Common();

// Authenticate
$check = $authenticate->checkLogin();
$user = $check[0];
$userid = $check[1];

// Header
$javascript = 	'<script type="text/javascript" src="js/prototype.js"></script>'
				."\n".
				'<script type="text/javascript" src="js/stash.js"></script>';
$tabState = $nav->createTabState();
$tabState['customize'] = 'active';
$pagetitle = 'Stash | Customize';
include 'header.inc.php';

// Grabs template files
function openTemplates($filename) {
	if(filesize($filename) > 0) {
		$handle = fopen($filename, "r");
		$contents = fread($handle, filesize($filename));
		fclose($handle);
		return $contents;	
	}
}
if(isset($_GET['template'])) {	
	$templatedata = openTemplates("template/".$_GET['template'].".tpl.html");
}

// Saves Changes
	if( isset( $_POST['submit']) && $_GET['save']) {
		$tempname = $_GET['save'];
		function saveTemplates($filename, $output) {
			$fp = fopen($filename, "w") or die("Couldn't create new file");
			fwrite($fp, $output); 
			fclose($fp);
		}
		saveTemplates('template/'.$tempname.'.tpl.html', stripslashes($_POST['templatesave']));

		header('location: customize.php?template='.$tempname);
	}
	
	$newstags = array(	'{title}' => 'Title of news post',
						'{date}' => 'Date of news post',
						'{body}' => 'News post body',
						'{author}' => 'Author of news post',
						'[com-link] and [/com-link]' => 'Creates a link to the comments for the news post',
						'{com-number}' => 'This will display the number of comments for the news post');
						
	$commentstags = array(	'{author}' => 'Name of comment poster',
						'{date}' => 'Date of comment',
						'{body}' => 'Body of comment');
						
	$tourdatestags = array(	'{date}' => 'Date of show',
							'{time}' => 'Time of show',
							'{venue}' => 'Venue of show',
							'{city}' => 'City of show',
							'{state-country}' => 'Displays the state if in the US of country if outside of the US',
							'{info}' => 'Displays the shows info',
							'[ticket-link] and [/ticket-link]' => 'Creates a link to buy tickets online',
							'{row-alternate}' => 'Use if you want alternating table background colors');
	
	$releasestags = array(	'{title}' => 'Title of release',
							'{date}' => 'Date of release',
							'{label}' => 'Label that put out release',
							'{format}' => 'Formate that the release is in',
							'{image-thumb}' => 'Displays a 75 x 75 pixel thumbnail of release',
							'{image-full}' => 'Displays a 200 x 200 pixel image of release',
							'[buy-link] and [/buy-link]' => 'Creates a link to buy the release online');
							
	$tracklistingtags = array('{trackname}' => 'Name of track',
							  '{track-number}' => 'Number of track',
							  '[download-link] and [/downloadlink]' => 'Creates link to download the track if available',
							  '{row-alternate}' => 'Use if you want alternating table background colors');
	
	
	$videostags = array(	'{title}' => 'Title of video',
							'{date}' => 'Date video was released',
							'{label}' => 'Label that put out the video',
							'{video-embed}' => 'Displays the video',
							'{video-thumb}' => 'Displays a thumbnail of the video',
							'{element-identifier}' => 'Used if embedding via Javascript');
							
	$paginationtags = array(	'{prev-next}' => 'Will generate a link to previous or next page.',
								'{numbers}' => 'Will generate the number of pages (ex: 1 2 3 4)',
								'{viewing}' => 'Will tell you what numbers you are viewing');
?>
		<div id="main">
			<?php if(isset($_GET['template'])) { $i = 0; ?>
				<h2>Customize: <?php echo $customizethis[$_GET['template']] ?></h2>
				<form action="customize.php?save=<?php echo $_GET['template'] ?>" method="post">
					<table class="customize">
						<tr>
							<th>Tag Name</th><th>Description</th>
						</tr>	
						<?php if($_GET['template'] == 'featurednews' ||
							$_GET['template'] == 'news' ||
							$_GET['template'] == 'newsarticle') {
								foreach($newstags as $key => $value) {
									if($i%2 == 1) {
										echo '<tr class="row2">';
									} else {
										echo '<tr class="row1">';
									}
									echo "\n<td width=\"100px\" valign=\"top\"><strong>".$key."</strong></td>\n<td valign=\"top\">".$value."</td>\n</td>";
									$i++;
								}
						} elseif($_GET['template'] == 'featuredtourdates' ||
							$_GET['template'] == 'tourdates') {
							foreach($tourdatestags as $key => $value) {
								if($i%2 == 1) {
									echo '<tr class="row2">';
								} else {
									echo '<tr class="row1">';
								}
								echo "\n<td width=\"100px\" valign=\"top\"><strong>".$key."</strong></td>\n<td valign=\"top\">".$value."</td>\n</td>";
								$i++;
							}
							} elseif($_GET['template'] == 'comments') {
								foreach($commentstags as $key => $value) {
									if($i%2 == 1) {
										echo '<tr class="row2">';
									} else {
										echo '<tr class="row1">';
									}
									echo "\n<td width=\"100px\" valign=\"top\"><strong>".$key."</strong></td>\n<td valign=\"top\">".$value."</td>\n</td>";
									$i++;
								}
								} elseif($_GET['template'] == 'discography' || 
											$_GET['template'] == 'featuredrelease' ||
											$_GET['template'] == 'releasepage') {
										foreach($releasestags as $key => $value) {
											if($i%2 == 1) {
												echo '<tr class="row2">';
											} else {
												echo '<tr class="row1">';
											}
											echo "\n<td width=\"100px\" valign=\"top\"><strong>".$key."</strong></td>\n<td valign=\"top\">".$value."</td>\n</td>";
											$i++;
										}
									}	 elseif($_GET['template'] == 'featuredvideos' ||
												$_GET['template'] == 'videos') {
												foreach($videostags as $key => $value) {
													if($i%2 == 1) {
														echo '<tr class="row2">';
													} else {
														echo '<tr class="row1">';
													}
													echo "\n<td width=\"100px\" valign=\"top\"><strong>".$key."</strong></td>\n<td valign=\"top\">".$value."</td>\n</td>";
													$i++;
												}
											}		 elseif($_GET['template'] == 'pagination') {
															foreach($paginationtags as $key => $value) {
																if($i%2 == 1) {
																	echo '<tr class="row2">';
																} else {
																	echo '<tr class="row1">';
																}
																echo "\n<td width=\"100px\" valign=\"top\"><strong>".$key."</strong></td>\n<td valign=\"top\">".$value."</td>\n</td>";
																$i++;
															}
														}
															elseif($_GET['template'] == 'tracklisting') {
																			foreach($tracklistingtags as $key => $value) {
																				if($i%2 == 1) {
																					echo '<tr class="row2">';
																				} else {
																					echo '<tr class="row1">';
																				}
																				echo "\n<td width=\"100px\" valign=\"top\"><strong>".$key."</strong></td>\n<td valign=\"top\">".$value."</td>\n</td>";
																				$i++;
																			}
						}?>
					</table>
					<textarea name="templatesave" class="full template"><?php echo $templatedata ?></textarea>
					<p class="footer">
						<input type="submit" name="submit" value="Save Changes" />
					</p>
				</form>
			<?php } else { ?>
				<div id="noentry">
					<p>Please select what you would like to edit from the list on the left.</p>
				</div>
			<?php } ?>
			</div>
			<div id="rightcol">
				
			</div>
<?php include 'footer.inc.php'; ?>