<?php
// Set up 
require_once('core.inc.php');
require_once('library/navigation.php');
require_once('library/authenticate.php');
require_once('library/common.php');
require_once('database.class.inc.php');

// Create Class Objects
$authenticate = new Authenticate();
$database = new Db();
$nav = new Nav();
$common = new Common();

// Authenticate
$check = $authenticate->checkLogin();
$user = $check[0];
$userid = $check[1];

// Grab News Count
$query = "SELECT * FROM ".TBPREFIX."_news";
$newscount = $database->sqlQuery($query);

//Grab Comment Count
$query = "SELECT * FROM ".TBPREFIX."_comment";
$commentcount = $database->sqlQuery($query);

//Grab Comment Total For Last Week
if (date("w") == 0) { 
    $adjuster = 6; 
} 
else { 
    $adjuster = date("w") - 1; 
} 
$lowdate = date("Y-m-d", strtotime("-" .$adjuster. " days"));
$query = "SELECT * FROM ".TBPREFIX."_comment WHERE comment_date >= '$lowdate'";
$latestcommentcount = $database->sqlQuery($query);
$latestcommentdate = date($dateformat, strtotime($lowdate));

//Grab Upcoming Tour Date Count
$query = "SELECT * FROM ".TBPREFIX."_tour WHERE tour_date >= '$sortdate'";
$upcomingdatecount = $database->sqlQuery($query);

//Grab Past Tour Date Count
$query = "SELECT * FROM ".TBPREFIX."_tour WHERE tour_date < '$sortdate'";
$pastdatecount = $database->sqlQuery($query);

//Grab Next Show
$query = "SELECT * FROM ".TBPREFIX."_tour WHERE tour_date >= '$sortdate' ORDER BY tour_date, tour_id LIMIT 0, 1";
$nextshow = $database->sqlQuery($query);
if( $nextshow && $nextshow[0]['tour_country'] == 'US' ) {
	$STATE = $common->createStates();
	foreach( $STATE as $key => $value ) {
		if( $key == $nextshow[0]['tour_state']) {
			$state = $key;
		}
	}
	$location = $nextshow[0]['tour_city'].', '.$state;
	$nextshowinfo = date($dateformat, strtotime($nextshow[0]['tour_date'])).
					' - '.$nextshow[0]['tour_venue'].' - '.$location;
} elseif($nextshow){
	$COUNTRY = $common->createCountry();
	foreach( $COUNTRY as $key => $value ) {
		if( $key == $nextshow[0]['tour_country'] ) {
			$country = $key;
		}
	} 
	$location = $nextshow[0]['tour_city'].', '.$country;
	$nextshowinfo = date($dateformat, strtotime($nextshow[0]['tour_date'])).
					' - '.$nextshow[0]['tour_venue'].' - '.$location;
} else {
	$nextshowinfo = 'There are no shows coming up';	
}

//Grab Release Count
$query = "SELECT * FROM ".TBPREFIX."_release";
$releasescount = $database->sqlQuery($query);

//Grab Release Featured Count
$query = "SELECT * FROM ".TBPREFIX."_release WHERE release_featured = 1";
$featuredreleasescount = $database->sqlQuery($query);

//Grab Track Count
$query = "SELECT * FROM ".TBPREFIX."_track";
$trackcount = $database->sqlQuery($query);

//Grab Video Count
$query = "SELECT * FROM ".TBPREFIX."_video";
$videoscount = $database->sqlQuery($query);

//Grab Video Featured Count
$query = "SELECT * FROM ".TBPREFIX."_video WHERE video_featured = 1";
$featuredvideoscount = $database->sqlQuery($query);

//Grab mp3 Count
$query = "SELECT * FROM ".TBPREFIX."_mp3";
$mp3count = $database->sqlQuery($query);

//Grab mp3 Player Count
$query = "SELECT * FROM ".TBPREFIX."_mp3 WHERE mp3_player = 1";
$mp3playercount = $database->sqlQuery($query);

//Grab mp3 Downloadable Count
$query = "SELECT * FROM ".TBPREFIX."_mp3 WHERE mp3_download = 1";
$mp3downloadablecount = $database->sqlQuery($query);

//Grab Users Count
$query = "SELECT * FROM ".TBPREFIX."_user";
$usercount = $database->sqlQuery($query);

//Grab Users Admin Count
$query = "SELECT * FROM ".TBPREFIX."_user WHERE user_admin = 1";
$useradmincount = $database->sqlQuery($query);

//Grab Latest Version From nicestash.com
$file = "http://www.nicestash.com/versionfeed/stashversion.xml"; 

function contents($parser, $data){
	$latestversion = $data;
	define('LATESTVERSION', $latestversion);
} 
function startTag($parser, $data){ } 
function endTag($parser, $data){ } 
$xml_parser = xml_parser_create(); 
xml_set_element_handler($xml_parser, "startTag", "endTag"); 
xml_set_character_data_handler($xml_parser, "contents"); 
$fp = fopen($file, "r"); 
$data = fread($fp, 80000); 
if(!(xml_parse($xml_parser, $data, feof($fp)))){ 
    die("Error on line " . xml_get_current_line_number($xml_parser)); 
} 
xml_parser_free($xml_parser); 
fclose($fp);
if(str_replace('beta', '', LATESTVERSION) > str_replace('beta', '', $version)) {
	$ver_history =
'<li><strong>Stash ver '.LATESTVERSION.'</strong> is now avalible</li>'."\n".
'<li><strong><a href="http://www.nicestash.com/download.php/">Download Now</a></li>';
} else {
	$ver_history =
'<li>There are no new versions at this time</li>';
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
  <meta http-equiv="content-type" content="text/html;charset=UTF-8" />

<title>Stash | Home</title>

<?php echo $javascript."\n" ?>
<link href="css/stash.css" media="all" rel="stylesheet" type="text/css" />

</head>
<body>
	<div id="nav">
		<h1>Welcome to <span class="sitename"><?php echo $sitename ?>&rsquo;s</span> Stash</h1>
		<h3>You are logged in as <?php echo $user ?> <a href="usersedit.php?id=<?php echo $userid ?>">My Info</a> <a href="logout.php">Log-out</a></h3>
	</div>
	<div id="wrapper">
		<div id="mainfull">
				<h3>Manage Content</h3>
				<div class="col1">
					<ul>
						<li><h4 class="news">News</h4></li>
						<li><strong><?php echo count($newscount) ?></strong> Total News Stores</li>
						<li><strong><?php echo count($commentcount) ?></strong> Total Comments</li>
						<li><strong><?php echo count($latestcommentcount) ?></strong> Comments Since <strong><?php echo $latestcommentdate ?></strong></li>
						<li><a href="news.php?view=expanded">View News</a> | <a href="newsadd.php">Add News</a></li>
					</ul>
					
					<ul>
						<li><h4 class="release">Releases</h4></li>
						<li><strong><?php echo count($releasescount) ?></strong> Total Releases</li>
						<li><strong><?php echo count($trackcount) ?></strong> Total Tracks</li>
						<li><strong><?php echo count($featuredreleasescount) ?></strong> Featured Release</li>
						<li><a href="releases.php">View Releases</a> | <a href="releasesadd.php">Add Release</a></li>
					</ul>
					
					<ul>
						<li><h4 class="videos">Videos</h4></li>
						<li><strong><?php echo count($videoscount) ?></strong> Total Videos</li>
						<li><strong><?php echo count($featuredvideoscount) ?></strong> Featured Video</li>
						<li><a href="videos.php">View Videos</a> | <a href="videosadd.php">Add Video</a></li>
					</ul>
				</div>
				<div class="col2">
					<ul>
						<li><h4 class="tour">Tour Dates</h4></li>
						<li><strong><?php echo count($upcomingdatecount) ?></strong> Total Upcoming Tour Dates</li>
						<li><strong><?php echo count($pastdatecount) ?></strong> Total Past Tour Dates</li>
						<li><strong>Next Show:</strong> <?php echo $nextshowinfo ?></li>
						<li><a href="tourdates.php?view=upcoming">View Tour Dates</a> | <a href="tourdatesadd.php">Add Tour Date</a></li>
					</ul>
					
					<ul>
						<li><h4 class="mp3">mp3</h4></li>
						<li><strong><?php echo count($mp3count) ?></strong> Total mp3</li>
						<li><strong><?php echo count($mp3playercount) ?></strong> Total In Player</li>
						<li><strong><?php echo count($mp3downloadablecount) ?></strong> Total As Downloadable</li>
						<li><a href="mp3s.php">View mp3s</a> | <a href="mp3sadd.php">Add mp3</a></li>
					</ul>
				</div>
				<?php if( isset($_SESSION['admin'] ) && $_SESSION['admin'] == 1 ) { ?>
				<h3>Admin Options</h3>
				<div class="col1">
					<ul>
						<li><h4 class="users">Users</h4></li>
						<li><strong><?php echo count($usercount) ?></strong> Total Users</li>
						<li><strong><?php echo count($useradmincount) ?></strong> Total Admin</li>
						<li><a href="users.php">View Users</a> | <a href="usersadd.php">Add Users</a></li>
					</ul>
					
					<ul>
						<li><h4 class="info">Info</h4></li>
						<li><a href="info.php">Edit Site Info</a></li>
					</ul>
				</div>
				<div class="col2">
					<ul>
						<li><h4 class="customize">Customize</h4></li>
						<li><a href="customize.php">Customize Site</a></li>
					</ul>
					<ul>
						<li><h4 class="about">About Stash</h4></li>
						<li>You are currently running <strong>Stash ver <?php echo $version; ?></strong></li>
						<?php echo $ver_history; ?>
					</ul>
				</div>
				<?php } ?>
		</div>
<?php include 'footer.inc.php'; ?>