<?php
// Set up 
require_once('core.inc.php');
require_once('library/navigation.php');
require_once('library/authenticate.php');
require_once('library/common.php');
require_once('library/validate.php');
require_once('library/error.php');
require_once('database.class.inc.php');

// Create Class Objects
$authenticate = new Authenticate();
$database = new Db();
$nav = new Nav();
$common = new Common();
$validate = new Validate();
$error = new Error();

// Authenticate
$check = $authenticate->checkLogin();
$user = $check[0];
$userid = $check[1];

// Header
$javascript = 	'<script type="text/javascript" src="js/prototype.js" language="javascript"></script>'
				."\n".
				'<script type="text/javascript" src="js/stash.js" language="javascript"></script>';
$tabState = $nav->createTabState();
$tabState['mp3'] = 'active';
$pagetitle = 'Stash | Add Mp3';
include 'header.inc.php';

// Saves Mp3
if(isset($_POST['submit'])) {
	$name = '';
	$nameid = '';
	$releaseid = '';
	if(isset($_POST['name']) && count($_POST['name'])) {
		$releaseid = $_POST['release'];
		$nameid = $_POST['name'];
		$query = "SELECT * FROM ".TBPREFIX."_track WHERE track_id = '$nameid'";
		$result = $database->sqlQuery($query);
		if($result){
			foreach($result as $result){
				$nameid = $result['track_id'];
				$name = $result['track_title'];
			}
		}
		$query = "SELECT * FROM ".TBPREFIX."_release WHERE release_id = '$releaseid'";
		$result = $database->sqlQuery($query);
		if($result){
			foreach($result as $result){
				$releaseid = $result['release_id'];
			}
		}
	} else {
		
	}
	if(isset($_POST['download'])){
		$download = TRUE;
	}else{
		$download = FALSE;
	}
	if(isset($_POST['player'])){
		$player = TRUE;
	}else{
		$player = FALSE;
	}
	$trackname	= str_replace(" ","-", $name);
	$trackname	= substr($trackname, 0, 200);
	$filename	= $trackname.".mp3";
	$filename	= strtolower($filename);
	$uploaddir	= UPLOADSPATH.'/mp3/';
	$uploadfile	= $uploaddir . $filename;
	$post = array($releaseid,$nameid,$download,$player,$filename);
	$type = array('default','default','default','default','default');
	$name = array('Album','Release','Downloadable','Add to player','Filename');
	$required = array(TRUE,TRUE,FALSE,FALSE,TRUE);
	$output = $validate->addValidation($post,$type,$name,$required);
	if($_FILES['uploadfile']['size'] == 0){
		$error = 'Please select an mp3';
		array_push($output[0],$error);
	}
	if($_FILES['uploadfile']['type'] == "audio/mpeg") {
		
	} else {
		$error = 'File must be a mp3.';
		array_push($output[0],$error);
	}
	if(count($output[0])){
		$error = new Error();
		$msg = $error->buildError($output[0]);
	}else{
		$cols = array('mp3_releaseid','mp3_trackid','mp3_download','mp3_player','mp3_filename');
		$insert = $database->sqlInsert(TBPREFIX.'_mp3',$cols,$output[1]);
		if($insert){
			if (move_uploaded_file($_FILES['uploadfile']['tmp_name'], $uploadfile)) {
		   		/*USE THIS FOR DEBUGGING
				print_r($_FILES['uploadfile']['type']);
				*/
				header('location: mp3s.php');
			} else {

			}
		}
	}
	
}
?>
			<div id="main">
				<h2>Add mp3</h2>
				<em><strong>Tip:</strong> You have to create the release and add tracks before you can add a mp3.</em>
				<?php echo $msg ?>
				<form name="tourdate" method="post" action="mp3sadd.php" enctype="multipart/form-data">
					<fieldset>
						<dl>
							<dt>* Release:</dt>
							<dd>
								<select name="release" id="mp3album" onChange="mp3StageOne()">
									<option value=" "> Please select a release </option>
<?php 
$result = $database->sqlQuery("SELECT * FROM ".TBPREFIX."_release ORDER BY release_title");
	if($result){
		foreach($result as $result){
			$id = $result['release_id'];
?>
									<option value="<?=$id?>"> <?=$result['release_title']?> </option>
<?php 							
		}
	}
?>
								</select>
							</dd>
							<dt>* Track:</dt>
							<dd id="trackname">
								<select name="name" id="tracks" disabled="disabled">
								</select>
							</dd>
							<dt>* File:</dt>
							<dd><input name="uploadfile" id="mp3file" type="file" class="file" /></dd>
							<dt>&nbsp;</dt>
							<dd><input name="download" type="checkbox" value="TRUE" /> Make downloadable</dd>
							<dt>&nbsp;</dt>
							<dd><input name="player" type="checkbox" value="TRUE"/> Add to player</dd>
						</dl>
						<input type="hidden" name="MAX_FILE_SIZE" value="10485760" />
						<em class="required">* Denotes Required Fields</em>
						<p class="footer">
							<input type="submit" name="submit" value="Add Mp3" /> or <a href="mp3s.php">Cancel</a>
						</p>
		
					</fieldset>
				</form>
				</div>
				<div id="rightcol">
					
				</div>
<?php include 'footer.inc.php'?>