<?php

// Set up 
require_once('core.inc.php');
require_once('library/navigation.php');
require_once('library/authenticate.php');
require_once('library/common.php');
require_once('library/paginate.php');
require_once('database.class.inc.php');
	
// Create Class Objects
$authenticate = new Authenticate();
$pagination = new Paginate();
$database = new Db();
$nav = new Nav();
$common = new Common();
	
// Authenticate
$check = $authenticate->checkLogin();
$user = $check[0];
$userid = $check[1];
	
// Pagination
$count = $database->sqlQuery("SELECT * FROM ".TBPREFIX."_news");
$total = count($count);
if (isset($_GET['o'])) {
	$offset = $_GET['o'];
} else {
	$offset = 0;
}
$per_page = 10;
$url = $_SERVER['PHP_SELF'].'?o={OFFSET}';
$paginate = $pagination->buildPagination($total,$per_page,$offset,$url);
$showrecords = $pagination->showRecords();
$shownext = $pagination->showNext();
	
// Deletes News Post
if(isset($_GET['id'])) {
	$clause = $_GET['id'].' = news_id';
	$database->sqlDelete(TBPREFIX.'_news', $clause);
	$clause = $_GET['id'].' = comment_newsid';
	$database->sqlDelete(TBPREFIX.'_comment', $clause);
	header('location: news.php');
}

// Deletes Comment
if(isset($_GET['deletecomment'])) {
	$clause = $_GET['deletecomment'].' = comment_id';
	$database->sqlDelete(TBPREFIX.'_comment', $clause);
	header('location: news.php?post='.$_GET['post']);
}
	
// Header
$tabState = $nav->createTabState();
$tabState['news'] = 'active';
$pagetitle = 'Stash | News';
include 'header.inc.php';
?>
		<div id="main">
<?php
if(isset($_GET['post'])) {
?>
			<h2><a href="news.php?view=expanded">Go Back</a></h2>
<?php
	$id = $_GET['post'];
	$query = "SELECT * FROM ".TBPREFIX."_news WHERE news_id = $id";
	$result = $database->sqlQuery($query);
	if($result) {
		foreach($result as $result) {
			$date = date($dateformat, strtotime($result['news_date']));
			$body = $common->createtags($result['news_body']);
?>
		<h5><?php echo $date?></h5>
		<h3><a href="news.php?post=<?php echo $result['news_id']?>"><?php echo $result['news_title']?></a></h3>
		<p><?php echo $body?></p>
		<p class="footer">
			Posted by <?php echo $result['news_author']?> | 
			<a href="newsedit.php?id=<?php echo $result['news_id']?>" class="edit">Edit</a> | 
			<a href="news.php?id=<?php echo $result['news_id']?>"><img src="img/icon_trash.gif" title="Delete news post" alt="Delete news post - <?php echo $result['news_title']?>" /></a>
		</p>
<?php
			$id = $result['news_id'];
			if($result['news_comment'] == 1) {
				$query = "SELECT * FROM ".TBPREFIX."_comment WHERE comment_newsid = $id";
				$result2 = $database->sqlQuery($query);
				if($result2) {
?>
			<h3>Comments</h3>
			<a name="comments">&nbsp;</a>
<?php
					$i = 1;
					foreach($result2 as $result2) {
						$date = date($dateformat, strtotime($result2['comment_date']));
?>
			<div class="comments">
				<p><?php echo $result2['comment_body']?></p>
				<p class="footer"># <?php echo $i ?> by <?php echo $result2['comment_author'] ?> on <?php echo $date ?> <a href="news.php?deletecomment=<?php echo $result2['comment_id']?>&amp;post=<?php echo $result['news_id']?>"><img src="img/icon_trash.gif" alt="Delete comment - <?php echo $result2['comment_id']?>" /></a></p>
			</div>
<?php
						$i++;
					}
				} else {
					echo '<h3>There are no comments.</h3>';
				}
			}
		}
	} else {
		echo '<p>Sorry there is no post with that id. <a href="news.php">Go Back</a></p>';
	}
} else {

	if(isset($_GET['view']) && $_GET['view'] == 'list') { 
?>
			<h2>News</h2>
<?php
		// Grab News
		$query = "SELECT * FROM ".TBPREFIX."_news ORDER BY news_date DESC, news_id DESC";
		$result = $database->sqlQuery($query);	

		if($result) {
			foreach($result as $result) {
				$id = $result['news_id'];
				if($result['news_comment'] == 1) {
					$comnumber = 0;
					$query = "SELECT * FROM ".TBPREFIX."_comment WHERE comment_newsid = $id";
					$result2 = $database->sqlQuery($query);
					if($result2) {
						foreach($result2 as $result2) {
							$comnumber += 1;
						}
						$comments = '<a href="news.php?post='.$result['news_id'].'#comments">'.$comnumber.' Comments</a>';
					} else {
						$comments = 'No Comments';
					}
				} else {
					$comments = 'No Comments';
				}
				$date = date($dateformat, strtotime($result['news_date']));
?>
			<h3><a href="newsedit.php?id=<?php $result['news_id'] ?>"><?php echo $result['news_title'] ?></a></h3>
			<p class="footer">
				Posted on <strong><?php echo $date ?></strong> by <?php echo $result['news_author'] ?> | 
				<a href="newsedit.php?id=<?php echo $result['news_id'] ?>">Edit</a> | 
				<a href="news.php?id=<?php echo $result['news_id'] ?>"><img src="img/icon_trash.gif" title="Delete news post" alt="Delete news post - <?php echo $result['news_title'] ?>" /></a> | <?php echo $comments; ?>
			</p>
<?php } } else { ?>
				<div class ="noentry">
					<h2>There are currently no news posts.</h2>
					<p>Would you like to <a href="newsadd.php">add</a> one?</p>
				</div>
<?php
} } else { 
?>
			<h2>News</h2>
<?php
	// Grab News
	$query = "SELECT * FROM ".TBPREFIX."_news ORDER BY news_date DESC, news_id DESC LIMIT ".$offset.",".$per_page;
	$result = $database->sqlQuery($query);
	if($result) {
		foreach($result as $result) {
			$id = $result['news_id'];
			if($result['news_comment'] == 1) {
				$comnumber = 0;
				$query = "SELECT * FROM ".TBPREFIX."_comment WHERE comment_newsid = $id";
				$result2 = $database->sqlQuery($query);
				if($result2) {
					foreach($result2 as $result2) {
						$comnumber += 1;
					}
					$comments = '<a href="news.php?post='.$result['news_id'].'#comments">'.$comnumber.' Comments</a>';
				} else {
					$comments = 'No Comments';
				}
			} else {
				$comments = 'No Comments';
			}
			$date = date($dateformat, strtotime($result['news_date']));
			$body = $common->createtags($result['news_body']);
			$body_length = explode(' ',$body);
			if( count( $body_length ) > 100 && 100 > 0 ) {
				$body = implode(' ', array_slice( $body_length, 0, 100 ) ).' <a href="newsedit.php?id='.$result['news_id'].'" class="viewmore">...view more</a>';
			};
?>
			<h5><?php echo $date?></h5>
			<h3><a href="news.php?post=<?php echo $result['news_id']?>"><?php echo $result['news_title']?></a></h3>
			<p><?php echo $body?></p>
			<p class="footer">
				Posted by <?php echo $result['news_author']?> | 
				<a href="newsedit.php?id=<?php echo $result['news_id']?>" class="edit">Edit</a> | 
				<a href="news.php?id=<?php echo $result['news_id']?>"><img src="img/icon_trash.gif" title="Delete news post" alt="Delete news post - <?php echo $result['news_title']?>" /></a> | <?php echo $comments; ?>
			</p>
<?php } ?>
			<div class="pagination">
				 <span class="numbers"><?php echo $paginate; ?></span> <span class="next"><?php echo $shownext; ?></span>
			</div>
<?php } else { ?>
				<div class ="noentry">
					<h2>There are currently no news posts.</h2>
					<p>Would you like to <a href="newsadd.php">add</a> one?</p>
				</div>
<?php } } ?>
<?php } ?> 
</div>
<div id="rightcol">
	<a href="newsadd.php" class="button">Add News</a>
</div>
<?php include 'footer.inc.php'; ?>