<?php

// Set up 
require_once('core.inc.php');
require_once('library/navigation.php');
require_once('library/authenticate.php');
require_once('library/common.php');
require_once('library/validate.php');
require_once('library/error.php');
require_once('database.class.inc.php');
	
// Create Class Objects
$authenticate = new Authenticate();
$database = new Db();
$nav = new Nav();
$common = new Common();
$validate = new Validate();
$error = new Error();
	
// Authenticate
$check = $authenticate->checkLogin();
$user = $check[0];
$userid = $check[1];
	
// Header
$javascript = 	'<script type="text/javascript" src="js/prototype.js"></script>'
				."\n".
				'<script type="text/javascript" src="js/stash.js"></script>'
				."\n".
				'<script type="text/javascript" src="js/datepicker.js"></script>'
				."\n".
				'<link href="css/datepicker.css" media="all" rel="stylesheet" type="text/css" />';
$tabState = $nav->createTabState();
$tabState['news'] = 'active';
$pagetitle = 'Stash | Add News';
include 'header.inc.php';
	
// Saves News
if (isset($_POST['submit'])){
	if(isset($_POST['comments'])) {
		$comments = 1;
	} else {
		$comments = 0;
	}
	$author = $_SESSION['username'];
	$post = array($_POST['title'],$_POST['date'],$_POST['body'],$author,$comments);
	$type = array('default','date','default','default','default');
	$name = array('Title','Date','News Body','Author','Allow Comments');
	$required = array(TRUE,TRUE,FALSE,FALSE,FALSE);
	$count = count($post);
	$i = 0;
		while($i < $count){
			$field[$i] = $post[$i];
			$i++;
		}
	$output = $validate->addValidation($post,$type,$name,$required);
	if(count($output[0])){
		$error = new Error();
		$msg = $error->buildError($output[0]);
	}else{
		$cols = array('news_title','news_date','news_body','news_author','news_comment');
		$insert = $database->sqlInsert(TBPREFIX.'_news',$cols,$output[1]);
		if($insert){
			header('location:news.php?view=expanded');
		}
	}
}else{
	$i = 0;
	$count = 3;
	while($i <= $count){
 		$field[$i] = '';
 		$i++;
 	}
	$field[1] = date($dateformat);
}	
?>
	<div id="main">
			<h2>Add News</h2>
			<?php echo $msg?>
			<form action="newsadd.php" method="post">
				<fieldset id="newspost">
					<dl>
						<dt>* Date:</dt>
						<dd><input type="text" name="date" value="<?php echo $field[1]?>" class="date" /> <?php echo $datepicker?></dd>
						<dt>* Title:</dt>
						<dd><input type="text" name="title" value="<?php echo $field[0]?>" id="newstitle" class="full" /></dd>
						<dt>News Body:</dt>
						<dd><input type="button" value="Bold" onclick="javascript:tag('strong','newsbody');" /> <input type="button" value="Italic" onclick="javascript:tag('em','newsbody');" /> <input type="button" value="Insert Link" onclick="javascript:tag('link','newsbody');" /> <input type="button" value="Insert Image" onclick="javascript:tag('img','newsbody');" /></dd>
						<dd><textarea name="body" rows="5" cols="40" id="newsbody" class="full"><?php echo $field[2]?></textarea></dd>
						<dt>&nbsp;</dt>
						<dd><input type="checkbox" name="comments" value="1" checked="checked" /> Allow comments for this post.</dd>
				</dl>
				<em class="required">* Denotes Required Fields</em>
				<p class="footer">
					<input type="submit" name="submit" value="Add News" class="submit" />
					<input type="button" value="Preview" onclick="javacript:showPreview()" /> or <a href="news.php?view=expanded">Cancel</a>
				</p>
			</fieldset>
			<fieldset id="newspreview" style="display:none">
				<h3 id="previewtitle"></h3>
				<p id="previewbody"></p>
				<p class="footer">
					<input type="submit" name="submit" value="Add News" />
					<input type="button" value="Edit" onclick="javacript:hidePreview()" /> or <a href="news.php?view=expanded">Cancel</a>
				</p>
			</fieldset>
		</form>
	</div>
	<div id="rightcol">

	</div>
<?php include 'footer.inc.php'; ?>