<?php
// Set up 
require_once('core.inc.php');
require_once('library/navigation.php');
require_once('library/authenticate.php');
require_once('library/common.php');
require_once('library/validate.php');
require_once('library/error.php');
require_once('library/Gregphoto_Image.php');
require_once('database.class.inc.php');

// Create Class Objects
$authenticate = new Authenticate();
$database = new Db();
$nav = new Nav();
$common = new Common();
$validate = new Validate();
$error = new Error();

// Authenticate
$check = $authenticate->checkLogin();
$user = $check[0];
$userid = $check[1];

// Header
$javascript = 	'<script type="text/javascript" src="js/prototype.js" language="javascript"></script>'
				."\n".
				'<script type="text/javascript" src="js/scriptaculous.js" language="javascript"></script>'
				."\n".
				'<script type="text/javascript" src="js/stash.js" language="javascript"></script>'
				."\n".
				'<script type="text/javascript" src="js/datepicker.js"></script>'
				."\n".
				'<link href="css/datepicker.css" media="all" rel="stylesheet" type="text/css" />';
$tabState = $nav->createTabState();
$tabState['releases'] = 'active';
$pagetitle = 'Stash | Edit Release';
include 'header.inc.php';


if(isset($_GET['id'])){
	$id = $_GET['id'];
	$query = "SELECT * FROM ".TBPREFIX."_release WHERE release_id = $id";
}else{
	$query = "SELECT * FROM ".TBPREFIX."_release ORDER BY release_id DESC LIMIT 1";
}
	$result = $database->sqlQuery($query);
	if($result){
		foreach($result as $result){
			$id = $result['release_id'];
			$releaseimage = $result['release_image'];
			$field[0] = $result['release_title'];
			$date = $result['release_date'];
			$field[1] = date($dateformat, strtotime($date));
			$field[2] = $result['release_label'];
			$field[3] = $result['release_format'];
			$field[4] = $result['release_buy'];
		}
	}

// Saves Release
if(isset($_POST['info'])){
	if(isset($_POST['featured'])) {
		$featured = 1;
	} else {
		$featured = 0;
	}
	$imagename = $_POST['title'];
	$imagename = str_replace(" ","-", $imagename);
	$imagename = substr($imagename, 0, 200);
	$imagename = $imagename.".jpg";
	$imagename = strtolower($imagename);
	$post = array($_POST['title'],$_POST['date'],$_POST['label'],$_POST['format'],$imagename,$_POST['buylink'],$featured);
	$type = array('releasetitle','date','default','default','default','default','default');
	$name = array('Title','Date','Label','Format','Image name','Buy Link','Featured Release');
	$required = array(TRUE,TRUE,FALSE,FALSE,FALSE,FALSE,FALSE);
	$count = count($post);
	$i = 0;
		while($i < $count){
			$field[$i] = $post[$i];
			$i++;
		}
	$output = $validate->addValidation($post,$type,$name,$required);
	if($_FILES['releaseimage']['type'] == "image/gif" || $_FILES['releaseimage']['type'] == "image/jpg" || $_FILES['releaseimage']['type'] == "image/jpeg" || $_FILES['releaseimage']['type'] == "image/pjpeg" || $_FILES['releaseimage']['type'] == "image/png") {
	} else {
		if(!$_FILE['releaseimage']['size'] == 0) {
			$error = 'Image must be a JPEG, JPG, GIF, or PNG.';
			array_push($output[0],$error);
		}
	}
	if(count($output[0])){
		$error = new Error();
		$msg = $error->buildError($output[0]);
	}else{
		rename(UPLOADSPATH."/releases/".$releaseimage, UPLOADSPATH."/releases/".$imagename);
		rename(UPLOADSPATH."/releases/thumbs/".$releaseimage, UPLOADSPATH."/releases/thumbs/".$imagename);
		$cols = array('release_title','release_date','release_label','release_format','release_image','release_buy','release_featured');
		$id = $_GET['id'];
		$clause = "release_id = '$id'";
		$update = $database->sqlUpdate(TBPREFIX.'_release',$cols,$output[1],$clause);
		if(!$_FILES['releaseimage']['size'] == 0){
			$image = new Gregphoto_Image($_FILES['releaseimage']['tmp_name']);
			$image->setMaxHeight(75);
			$image->setMaxWidth(75);
			$image->setJpegQuality(90);
			$image->setOutputType(IMAGETYPE_JPEG);
			$image->resize(Gregphoto_Image::BEST_FIT);
			$image->saveThumbnail(UPLOADSPATH.'/releases/thumbs/'.$imagename);
			$image = new Gregphoto_Image($_FILES['releaseimage']['tmp_name']);
			$image->setMaxHeight(200);
			$image->setMaxWidth(200);
			$image->setJpegQuality(90);
			$image->setOutputType(IMAGETYPE_JPEG);
			$image->resize(Gregphoto_Image::BEST_FIT);
			$image->saveThumbnail(UPLOADSPATH.'/releases/'.$imagename);
			header('location:releasesedit.php?id='.$id);
		}
		if($update){
			
		}
	}
}

// Grabs Tracks
$query2 = "SELECT * FROM ".TBPREFIX."_track WHERE track_releaseid = '$id' ORDER BY track_orderid";
$res2 = $database->sqlQuery($query2);
?>
			<div id="main">
				<h2>Edit Releases: <?php echo $field[0] ?></h2>
		<?php echo $msg ?>
				<form name="releaseinfo" action="releasesedit.php?id=<?php echo $id ?>" method="post" enctype="multipart/form-data">
					<fieldset>
						<dl>
							<dt>* Title:</dt>
							<dd><input name="title" type="text" value="<?php echo $field[0] ?>"  class="full" /></dd>	
							<dt>* Release Date:</dt>
							<dd><input type="text" name="date" value="<?php echo $field[1]?>" id="date" class="date" /> <?php echo $datepicker?></dd>
							<dt>Label:</dt>
							<dd><input name="label" type="text" value="<?php echo $field[2] ?>" class="full" /></dd>	
							<dt>Format:</dt>
							<dd><input name="format" type="text" value="<?php echo $field[3] ?>" class="small" /></dd>
							<dt>Buy Link:</dt>
							<dd><input name="buylink" type="text" value="<?php echo $field[4] ?>" class="full" /></dd>
							<dt>* Image:</dt>
							<dd><img src="<?php echo UPLOADSURL ?>/releases/<?php echo $result['release_image'].'?nocache='.gmdate("His") ?>" alt="<?php echo $field[0] ?>" class="releaseimage" /></dd>
							<dd><input type="file" name="releaseimage" class="file edit" /></dd>
							<dt>&nbsp;</dt>
							<dd><input type="checkbox" name="featured" value="1" <?php if($result['release_featured'] == 1) { echo 'checked="checked"'; } ?> /> Check to make a featured release</dd>
						</dl>
						<em class="required">* Denotes Required Fields</em>
						<p class="footer">
							<input type="submit" name="info" value="Save Edit" class="submit" /> or <a href="releases.php">Cancel</a>
						</p>
				</fieldset>
				</form>
				<fieldset id="trackfield">
					<dl>
						<dt>Track Name:</dt>
						<dd><input id="track" name="tracktitle" type="text" class="full" /></dd>
					</dl>
					<input type="button" value="Add Track" onclick="addTrack(<?php echo $id ?>)" />
					<em><strong>TIP:</strong> You can reorder your tracks by dragging and dropping.</em> 
					<div id="tracklist">
					<?php 
						if($res2) {
							$i=0;
					?> 
						<ul id="tracksort">
					<?php
							foreach($res2 as $res2) {
								if ($i%2==1) { ?>
								<li id="order_<?php echo $res2['track_id'] ?>" class='row2'>
						<?php }else{ ?>
								<li id="order_<?php echo $res2['track_id'] ?>" class='row1'>
			        	<?php } $i++; ?>
								<span class="trash"> <img src="img/icon_trash.gif" onclick="javascript:deleteTrack('<?php echo $res2['track_id'] ?>');" /></span><span class="tracknumber"><?php echo $res2['track_orderid'] ?>. </span> <span class="trackname"><?php echo $res2['track_title'] ?></span>
								</li>
				<?php } ?>
						</ul>
					</div>
				<?php } else { ?>
							<div class ="noentry">
								<h2>There are currently no tracks for this releases.</h2>
							</div>
					<?php } ?>
					</div>
					<script type="text/javascript" language="javascript">
						//<![CDATA[
							Sortable.create('tracksort',{ghosting:true,onUpdate:updateList});

							function updateList() {
									var url = 'updatetracklist.php';
									var params = Sortable.serialize('tracksort');
									var ajax = new Ajax.Request(url,{
										method: 'post',
										parameters: params,
										onSuccess: function(){refreshList()}
									});
							}
							function refreshList(){
								var url = 'refreshtracklist.php?id=<?php echo $id ?>';
								var update = new Ajax.Updater('tracklist',url,{
									onComplete:function(){
									new Effect.Highlight('tracklist',{duration: 1.0});
									Sortable.create('tracksort',{ghosting:true,onUpdate:updateList});
									}
								});
							}
							function deleteTrack(trackid) {
									var url = 'deletetrack.php';
									var params = 'trackid='+trackid;
									var ajax = new Ajax.Request(url,{
										method: 'post',
										parameters: params,
										onSuccess: function(){
											var url = 'refreshtracklist.php?id=<?php echo $id ?>';
											var update = new Ajax.Updater('tracklist',url,{
												onComplete:function(){
												updateList();
												}
											});
										}
									});
							}
							function addTrack(id) {
								var tracktitle = $('track').value;
								var url = 'trackadd.php';
								var params = "id="+id+"&tracktitle="+tracktitle;
								var ajax = new Ajax.Request(url,{
									method: 'post',
									parameters: params,
									onSuccess: function(){
										$('track').value = '';
										refreshList();
									}
								});
							}
							//]]>
					</script>
				</fieldset>
				</div>
			<div id="rightcol">
			
			</div>
<?php include 'footer.inc.php'; ?>