<?php
// Set up 
require_once('core.inc.php');
require_once('library/navigation.php');
require_once('library/authenticate.php');
require_once('library/common.php');
require_once('library/paginate.php');
require_once('database.class.inc.php');

// Create Class Objects
$authenticate = new Authenticate();
$pagination = new Paginate();
$database = new Db();
$nav = new Nav();
$common = new Common();

// Authenticate
$check = $authenticate->checkLogin();
$user = $check[0];
$userid = $check[1];

// Pagination
if(isset($_GET['view']) && $_GET['view'] == 'upcoming' || !isset($_GET['view'])) {
$count = $database->sqlQuery("SELECT * FROM ".TBPREFIX."_tour WHERE tour_date >= '$sortdate'");
$url = $_SERVER['PHP_SELF'].'?view=upcoming&amp;o={OFFSET}';
} else {
$count = $database->sqlQuery("SELECT * FROM ".TBPREFIX."_tour WHERE tour_date < '$sortdate'");
$url = $_SERVER['PHP_SELF'].'?view=past&amp;o={OFFSET}';
}
$total = count($count);
if ( isset( $_GET['o'] ) ) {
	$offset = $_GET['o'];
} else {
	$offset = 0;
}
$per_page = 10;
$paginate = $pagination->buildPagination($total,$per_page,$offset,$url);
$showrecords = $pagination->showRecords();
$shownext = $pagination->showNext();

// Deletes Tour Date
if( isset( $_GET['id'] ) ) {
	$clause = $_GET['id'].' = tour_id';
	$database->sqlDelete(TBPREFIX.'_tour', $clause);
	if(isset($_GET) && $_GET['view'] == 'upcoming') {
		header('location: tourdates.php?view=upcoming');
	} else {
		header('location: tourdates.php?view=past');
	}
}

// Header
$tabState = $nav->createTabState();
$tabState['tour'] = 'active';
$pagetitle = 'Stash | Tour Dates';
include 'header.inc.php';
?>
		<div id="main">
<?php
	if(isset($_GET['view']) && $_GET['view'] == 'upcoming' || !isset($_GET['view'])) {
		$query = "SELECT * FROM ".TBPREFIX."_tour WHERE tour_date >= '$sortdate' ORDER BY tour_date, tour_id LIMIT ".$offset.",".$per_page;
		$result = $database->sqlQuery($query);
?>	
			<h2>Upcoming Tour Dates</h2>
<?php
	} else {
		$query = "SELECT * FROM ".TBPREFIX."_tour WHERE tour_date < '$sortdate' ORDER BY tour_date DESC, tour_id DESC LIMIT ".$offset.",".$per_page;
		$result = $database->sqlQuery($query);
?>
		<h2>Past Tour Dates</h2>
<?php
	}
	$i = 0;
	if( $result ) {
?>
			<table class="tourdates">
				<tr>
					<th>Date</th>
		   			<th>Venue</th>
					<th>Location</th>
					<th>&nbsp;</th>
					<th>&nbsp;</th>
				</tr>
<?php
		foreach( $result as $result ) {
			if( $i%2 == 1 ) {
?>
				<tr class='row2'>
<?php } else { ?>
				<tr class='row1'>
<?php }
	$i++;
		if( $result['tour_country'] == 'US' ) {
			$STATE = $common->createStates();
			foreach( $STATE as $key => $value ) {
				if( $key == $result['tour_state']) {
					$state = $key;
				}
			}
			$location = $result['tour_city'].', '.$state;
		} else {
			$COUNTRY = $common->createCountry();
			foreach( $COUNTRY as $key => $value ) {
				if( $key == $result['tour_country'] ) {
					$country = $value;
					if(strlen($country) > 10) {
						$country = substr($value, 0, -5) . '...';
					}
				}
			} 
			$location = $result['tour_city'].', '.$country;
		}
		$date = date($dateformat, strtotime($result['tour_date']));
?>
					<td><?php echo $date?></td>
					<td><?php echo $result['tour_venue']?></td>
					<td><?php echo $location?></td>
					<td> <a href="tourdatesedit.php?id=<?php echo $result['tour_id']?>">Edit</a></td>
					<td><a href="tourdates.php?id=<?php echo $result['tour_id']?>"><img src="img/icon_trash.gif" title="Delete tour date" alt="Delete tour date - <?php echo $date ?>" /></a></td>
				</tr>
<?php } ?>
			</table>
			<div class="pagination">
				 <span class="numbers"><?php echo $paginate; ?></span> <span class="next"><?php echo $shownext; ?></span>
			</div>
<?php } else { ?>
		<div class ="noentry">
<?php if(isset($_GET['view']) && $_GET['view'] == 'upcoming' || !isset($_GET['view'])) { ?>
			<h2>There are currently no tour dates.</h2>
			<p>Would you like to <a href="tourdatesadd.php">add</a> one?</p>
<?php } else { ?>
			<h2>There are currently no past tour dates.</h2>
<?php } ?>
		</div>
<?php } ?>
	</div>
	<div id="rightcol">
		<a href="tourdatesadd.php" class="button"><strong class="button">Add Tour Date</strong></a>
	</div>
<?php include 'footer.inc.php'; ?>