<?php

// Set up 
require_once('core.inc.php');
require_once('library/navigation.php');
require_once('library/authenticate.php');
require_once('library/common.php');
require_once('library/validate.php');
require_once('library/error.php');
require_once('database.class.inc.php');

// Create Class Objects
$authenticate = new Authenticate();
$database = new Db();
$nav = new Nav();
$common = new Common();
$validate = new Validate();
$error = new Error();

// Authenticate
$check = $authenticate->checkLogin();
$user = $check[0];
$userid = $check[1];

// Header
$javascript = '<script type="text/javascript" src="js/stash.js"></script>'
				."\n".
				'<script type="text/javascript" src="js/datepicker.js"></script>'
				."\n".
				'<link href="css/datepicker.css" media="all" rel="stylesheet" type="text/css" />';
$tabState = $nav->createTabState();
$tabState['tour'] = 'active';
$pagetitle = 'Stash | Add Tour Date';
include 'header.inc.php';

// Saves Tour Date
if (isset($_POST['submit'])){
	$time = $_POST['hour'].'/'.$_POST['min'].'/'.$_POST['meridiem'];
	if(isset($_POST['state'])){
		$state = $_POST['state'];
	}else{
		$state = 'none';
	}
	$post = array($_POST['date'],$time,$_POST['city'],$state,$_POST['country'],$_POST['venue'],$_POST['info'],$_POST['tickets']);
	$type = array('date','time','default','default','default','default','default','default');
	$name = array('Date','Time','City','State','Country','Venue','Info','Tickets');
	$required = array(TRUE,TRUE,TRUE,TRUE,TRUE,TRUE,FALSE,FALSE);
	$field[0] = $_POST['date'];
	$field[1] = $_POST['hour'];
	$field[2] = $_POST['min'];
	$field[3] = $_POST['meridiem'];
	$field[4] = $_POST['city'];
	$field[5] = $_POST['country'];
	if(isset($_POST['state'])){
		$state = $_POST['state'];
	}
	$field[7] = $_POST['venue'];
	$field[8] = $_POST['info'];
	$field[9] = $_POST['tickets'];
	$output = $validate->addValidation($post,$type,$name,$required);
	if(count($output[0])){
		$error = new Error();
		$msg = $error->buildError($output[0]);
	}else{
	print_r($output[1]);
		$cols = array('tour_date','tour_time','tour_city','tour_state','tour_country','tour_venue','tour_info','tour_tickets');
		$insert = $database->sqlInsert(TBPREFIX.'_tour',$cols,$output[1]);
		if($insert){
			header('location:tourdates.php?view=upcoming');
		}
	}
}else{
	$i = 0;
	$count = 10;
	while($i < $count){
 		$field[$i] = '';
 		$i++;
 	}
	$field[0] = date($dateformat);
	$field[1] = 8;
	$field[2] = 00;
	$field[3] = '12';
	$field[5] = 'US';
	$field[6] = 'AL';
}
?>
			<div id="main">
			<h2>Add Tour Date</h2>
			<?php echo $msg?>
			<form name="tourdate" action="tourdatesadd.php" method="post">
			<fieldset>
				<dl>
					<dt>* Date:</dt>
					<dd><input type="text" name="date" value="<?php echo $field[0]?>" id="date" class="date" /> <?php echo $datepicker?></dd>
					<dt>Time:</dt>
					<dd>
						<select name="hour">
							<?php $i=1; while($i <= 12){ if($i == $field[1]){ ?>
								<option value="<?php echo $i ?>" selected="selected"> <?php echo $i ?> </option>
							<?php }else{ ?>
								<option value="<?php echo $i ?>"> <?php echo $i ?> </option>
							<?php } $i++; } ?>
						</select> :
						<select name="min">
							<?php $min = $field[2]; if($min == 00){ ?>
								<option value="00" selected="selected"> 00 </option>
								<?php }else{ ?>
								<option value="00"> 00 </option>
								<?php } if($min == 15){ ?>
								<option value="15" selected="selected"> 15 </option>
								<?php }else{ ?>
								<option value="15"> 15 </option>
								<?php } if($min == 30){ ?>
								<option value="30" selected="selected"> 30 </option>
								<?php }else{ ?>
								<option value="30"> 30 </option>
								<?php } if($min == 45){ ?>
								<option value="45" selected="selected"> 45 </option>
								<?php }else{ ?>
								<option value="45"> 45 </option>
								<?php } ?>
							</select> &nbsp;
							<select name="meridiem">
							<?php $hour24 = $field[3]; if($hour24 == '0'){ ?>
								<option value="0" selected="selected"> AM </option>
								<option value="12"> PM </option>
								<?php }else{ ?>
								<option value="0"> AM </option>
								<option value="12" selected="selected"> PM </option>
							<?php } ?>
							</select>
						</dd>
						<dt>* City:</dt>
						<dd><input name="city" id="city" type="text" value="<?php echo $field[4]?>" class="full" /></dd>
						<dt>State:</dt>
						<?php $STATE = $common->createStates(); if($field[5] == 'US'){ ?>
						<dd><select name="state" id="stateSelect">
						<?php foreach($STATE as $key => $value){ if($key == $field[6]){ ?>
							<option value="<?php echo $key?>" selected="selected"><?php echo $value; ?></option>
							<?php }else{ ?>
							<option value="<?php echo $key?>"><?php echo $value; ?></option>
							<?php } } }else{ ?>
						<dd><select name="state" disabled="disabled">
						<?php foreach($STATE as $key => $value){ if($key == $field[6]){ ?>
							<option value="<?php echo $key ?>" selected="selected"><?php echo $value ?></option>
							<?php }else{ ?>
							<option value="<?php echo $key ?>"><?php echo $value ?></option>
							<?php } } } ?>
							</select>
						</dd>
						<dt>Country:</dt>
						<dd>
						<select name="country" id="country" onchange="hideShowState()">
							<?php $COUNTRY = $common->createCountry(); foreach($COUNTRY as $key => $value){ if($key == $field[5]){ ?>
							<option value="<?php echo $key ?>" selected="selected"><?php echo $value; ?></option>
							<?php }else{ ?>
							<option value="<?php echo $key ?>"><?php echo $value; ?></option>
							<?php } } ?>
						</select>
						</dd>
						<dt>* Venue:</dt>
						<dd><input name="venue" id="venue" type="text" value="<?php echo $field[7] ?>" class="full"  /></dd>
						<dt>Info:</dt>
						<dd><input name="info" id="info" type="text" value="<?php echo $field[8] ?>" class="full"  /></dd>
						<dt>Tickets:</dt>
						<dd><input name="tickets" id="tickets" type="text" value="<?php echo $field[9] ?>" class="full" /></dd>
					</dl>
					<em class="required">* Denotes Required Fields</em>
					<p class="footer">
						<input type="submit" name="submit" value="Add Tour Date" /> or <a href="tourdates.php?view=upcoming">Cancel</a>
					</p>
				</fieldset>
			</form>
		</div>
		<div id="rightcol">
			
		</div>
<?php include 'footer.inc.php'; ?>