<?php

	// Set up 
require_once('core.inc.php');
require_once('library/navigation.php');
require_once('library/authenticate.php');
require_once('library/common.php');
require_once('library/validate.php');
require_once('library/error.php');
require_once('database.class.inc.php');

// Create Class Objects
$authenticate = new Authenticate();
$database = new Db();
$nav = new Nav();
$common = new Common();
$validate = new Validate();
$error = new Error();

// Authenticate
$check = $authenticate->checkLogin();
$user = $check[0];
$userid = $check[1];

// Header
$javascript = 
	'<script type="text/javascript" src="js/stash.js"></script>'
		."\n".
	'<script type="text/javascript" src="js/datepicker.js"></script>'
	."\n".
	'<link href="css/datepicker.css" media="all" rel="stylesheet" type="text/css" />';
$tabState = $nav->createTabState();
$tabState['tour'] = 'active';
$pagetitle = 'Stash | Edit Tour Date';
include 'header.inc.php';

// Grabs Tour Date
if(isset($_GET['id'])){
	$id = $_GET['id'];
	$query = "SELECT * FROM ".TBPREFIX."_tour WHERE tour_id = '$id'";
	$result = $database->sqlQuery($query);
	if($result){
		foreach($result as $result){
			$id = $result['tour_id'];
			$date = $result['tour_date'];
			$field[0] = date($dateformat, strtotime($date));
			$time = $result['tour_time'];
			$time = explode(':', $time);
			if($time[0] > 12){
				$time[0] -= 12;
				$field[3] = 12; 
			}
			$field[1] = $time[0];
			$field[2] = $time[1];
			$field[4] = $result['tour_city'];
			$field[5] = $result['tour_country'];
			$field[6] = $result['tour_state'];
			$field[7] = $result['tour_venue'];
			$field[8] = $result['tour_info'];
			$field[9] = $result['tour_tickets'];

		}
	}
}

// Saves Tour Date Edit
if (isset($_POST['submit'])){
	$time = $_POST['hour'].'/'.$_POST['min'].'/'.$_POST['meridiem'];
	if(isset($_POST['state'])){
		$state = $_POST['state'];
	}else{
		$state = 'none';
	}
	$post = array($_POST['date'],$time,$_POST['city'],$state,$_POST['country'],$_POST['venue'],$_POST['info'],$_POST['tickets']);
	$type = array('date','time','default','default','default','default','default','default');
	$name = array('Date','Time','City','State','Country','Venue','Info','Tickets');
	$required = array(TRUE,TRUE,TRUE,TRUE,TRUE,TRUE,FALSE,FALSE);
	$field[0] = $_POST['date'];
	$field[1] = $_POST['hour'];
	$field[2] = $_POST['min'];
	$field[3] = $_POST['meridiem'];
	$field[4] = $_POST['city'];
	$field[5] = $_POST['country'];
	if(isset($_POST['state'])){
		$state = $_POST['state'];
	}
	$field[7] = $_POST['venue'];
	$field[8] = $_POST['info'];
	$field[9] = $_POST['tickets'];
	$output = $validate->addValidation($post,$type,$name,$required);
	if(count($output[0])){
		$error = new Error();
		$msg = $error->buildError($output[0]);
	}else{
		$cols = array('tour_date','tour_time','tour_city','tour_state','tour_country','tour_venue','tour_info','tour_tickets');
		$clause = 'tour_id = '.$_POST['id'];
		$update = $database->sqlUpdate(TBPREFIX.'_tour',$cols,$output[1],$clause);
		if($update){
			header('location:tourdates.php');
		}
	}
}
?>
			<div id="main">
				<h2>Edit tour date: <?php echo $field[0] ?></h2>
	<?php echo $msg ?>
				<form name="tourdate" action="tourdatesedit.php?id=<?php echo $id ?>" method="post">
					<fieldset id="tourdate">
			
						<dl>
							<dt>* Date:</dt>
							<dd><input type="text" name="date" value="<?php echo $field[0]?>" id="date" class="date" /> <?php echo $datepicker?></dd>
							<dt>Time:</dt>
							<dd>
								<select name="hour">
								<?php $i=1; while($i <= 12){ if($i == $field[1]){ ?>
									<option value="<?php echo $i ?>" selected="selected"> <?php echo $i ?> </option>
									<?php }else{ ?>
									<option value="<?php echo $i ?>"> <?php echo $i ?> </option>
									<?php } $i++; } ?>
								</select> :
								<select name="min">
								<?php $min = $field[2]; if($min == 00){ ?>
									<option value="00" selected="selected"> 00 </option>
									<?php }else{ ?>
									<option value="00"> 00 </option>
									<?php } if($min == 15){ ?>
									<option value="15" selected="selected"> 15 </option>
									<?php }else{ ?>
									<option value="15"> 15 </option>
								<?php } if($min == 30){ ?>
								<option value="30" selected="selected"> 30 </option>
								<?php }else{ ?>
								<option value="30"> 30 </option>
								<?php } if($min == 45){ ?>
								<option value="45" selected="selected"> 45 </option>
								<?php }else{ ?>
								<option value="45"> 45 </option>
								<?php } ?>
							</select> &nbsp;
							<select name="meridiem">
								<?php $hour24 = $field[3]; if($hour24 == '0'){ ?>
								<option value="0" selected="selected"> AM </option>
								<option value="12"> PM </option>
								<?php }else{ ?>
								<option value="0"> AM </option>
								<option value="12" selected="selected"> PM </option>
								<?php } ?>
							</select>
						</dd>
						<dt>* City:</dt>
						<dd><input name="city" id="city" type="text" value="<?php echo $field[4] ?>" class="full" /></dd>
						<dt>State:</dt>
						<?php $STATE = $common->createStates(); if($field[5] == 'US'){ ?>
						<dd>
							<select name="state">
								<?php foreach($STATE as $key => $value){ if($key == $field[6]){ ?>
								<option value="<?php echo $key ?>" selected="selected"><?php echo $value ?></option>
								<?php }else{ ?>
								<option value="<?php echo $key ?>"><?php echo $value; ?></option>
								<?php } } }else{ ?>
						<dd>
							<select name="state" disabled="disabled">
								<?php foreach($STATE as $key => $value){ if($key == $field[6]){ ?>
								<option value="<?php echo $key ?>" selected="selected"><?php echo $value ?></option>
								<?php }else{ ?>
								<option value="<?php echo $key ?>"><?php echo $value ?></option>
								<?php } } } ?>
							</select>
						</dd>
					<dt>Country:</dt>
					<dd>
						<select name="country" id="country" onchange="hideShowState()">
							<?php $COUNTRY = $common->createCountry(); foreach($COUNTRY as $key => $value){ if($key == $field[5]){	?>
							<option value="<?php echo $key ?>" selected="selected"><?php echo $value; ?></option>
							<?php }else{ ?>
							<option value="<?=$key?>"><?php echo $value; ?></option>
							<?php } } ?>
						</select>
					</dd> 
					<dt>* Venue:</dt>
					<dd><input name="venue" id="venue" type="text" value="<?php echo $field[7] ?>" class="full" /></dd>
					<dt>Info:</dt>
					<dd><input name="info" id="info" type="text" value="<?php echo $field[8] ?>" class="full" /></dd>
					<dt>Tickets:</dt>
					<dd><input name="tickets" id="tickets" type="text" value="<?php echo $field[9] ?>" class="full" /></dd>
				</dl>
				<input type="hidden" name="id" value="<?php echo $id ?>" />
				<em class="required">* Denotes Required Fields</em>
				<p class="footer">
					<input type="submit" name="submit" value="Save Edit" /> or <a href="tourdates.php?view=upcoming" class="cancel">Cancel</a>
				</p>
			</fieldset>
		</form>
		</div>
		<div id="rightcol">
		
		</div>
<?php include 'footer.inc.php'; ?>