<?php

// Set up 
require_once('core.inc.php');
require_once('library/navigation.php');
require_once('library/authenticate.php');
require_once('library/common.php');
require_once('library/email.php');
require_once('library/validate.php');
require_once('library/error.php');
require_once('database.class.inc.php');

// Create Class Objects
$authenticate = new Authenticate();
$database = new Db();
$newemail = new Email();
$nav = new Nav();
$common = new Common();
$validate = new Validate();
$error = new Error();

// Authenticate
$check = $authenticate->checkLogin();
$user = $check[0];
$userid = $check[1];

// Header
$tabState = $nav->createTabState();
$tabState['users'] = 'active';
$pagetitle = 'Stash | Add User';
include 'header.inc.php';

// Saves User
if (isset($_POST['submit'])){
	if(isset($_POST['admin'])){
		$isadmin = TRUE;
	}else{
		$isadmin = FALSE;
	}
	$post = array($_POST['firstname'],$_POST['lastname'],$_POST['email'],$_POST['username'],$_POST['password'],$isadmin);
	$type = array('default','default','email','username','password','default');
	$name = array('First Name','Last Name','Email','Username','Password','Admin');
	$required = array(TRUE,TRUE,TRUE,TRUE,TRUE,FALSE);
	$count = count($post);
	$i = 0;
		while($i < $count){
			$field[$i] = $post[$i];
			$i++;
		}
	$output = $validate->addValidation($post,$type,$name,$required);
	if(count($output[0])){
		$error = new Error();
		$msg = $error->buildError($output[0]);
	}else{

		$cols = array('user_firstname','user_lastname','user_email','user_username','user_password','user_admin', 'user_key');
		$password = md5($output[1][4]);
		$data = array($output[1][0],$output[1][1],$output[1][2],$output[1][3],md5($output[1][4]),$output[1][5], md5(uniqid(rand(), true)));
		$insert = $database->sqlInsert(TBPREFIX.'_user',$cols,$data);
		if($insert){
			$output = array($output[1][0],$output[1][1],$output[1][2],$output[1][3],$output[1][4]);
			$newemail->newAccount($output, $user);
			header('location:users.php');
		}
	}
}else{
	$i = 0;
	$count = 4;
	while($i <= $count){
		$field[$i] = '';
		$i++;
	}
	}
?>
			<div id="main">
				<h2>Add User</h2>
				<?php echo $msg?>
				<form name="adduser" action="usersadd.php" method="post">
					<fieldset>
						<dl>
							<dt>*Frist Name:</dt>
							<dd><input name="firstname" id="firstname" type="text" value="<?=$field[0]?>" class="full" /></dd>
		
							<dt>*Last Name:</dt>
							<dd><input name="lastname" id="lastname" type="text" value="<?=$field[1]?>" class="full" /></dd>
		
							<dt>*Email Address:</dt>
							<dd><input name="email" id="emailaddress" type="text" value="<?=$field[2]?>" class="full" /></dd>
		
							<dt>*User Name:</dt>
							<dd><input name="username" id="username" type="text" value="<?=$field[3]?>" class="full" /></dd>
		
							<dt>*Password:</dt>
							<dd><input name="password" id="password" type="password" value="<?=$field[4]?>" class="full" /></dd>
							<dd><input name="admin" id="admin" type="checkbox" value="TRUE" /> Check if you would like to give this user admin privlages</dd>
						</dl>
						<em class="required">* Denotes Required Fields</em>
						<p class="footer">
							<input name="submit" type="submit" value="Add user" /> or <a href="users.php" class="cancel">Cancel</a>
						</p>
					</fieldset>
				</form>
				</div>
				<div id="rightcol">
					
				</div>
<?php include 'footer.inc.php'; ?>