<?php
// Set up 
require_once('core.inc.php');
require_once('library/navigation.php');
require_once('library/authenticate.php');
require_once('library/common.php');
require_once('library/validate.php');
require_once('library/error.php');
require_once('database.class.inc.php');

// Create Class Objects
$authenticate = new Authenticate();
$database = new Db();
$nav = new Nav();
$common = new Common();
$validate = new Validate();
$error = new Error();

// Authenticate
$check = $authenticate->checkLogin();
$user = $check[0];
$userid = $check[1];

// Header
$javascript = '<script type="text/javascript" src="js/datepicker.js"></script>'
	."\n".
	'<link href="css/datepicker.css" media="all" rel="stylesheet" type="text/css" />';
$tabState = $nav->createTabState();
$tabState['videos'] = 'active';
$pagetitle = 'Stash | Add Video';
include 'header.inc.php';

// Saves Video
if (isset($_POST['submit'])){
	if(isset($_POST['featured'])) {
		$featured = 1;
	} else {
		$featured = 0;
	}
	$post = array($_POST['title'],$_POST['url'],$_POST['date'],$_POST['label'],$featured);
	$type = array('default','youtube','date','default','default');
	$name = array('Title','YouTube Url','Date','Label','Featured Video');
	$required = array(TRUE,TRUE,TRUE,FALSE,FALSE);
	$count = count($post);
	$i = 0;
		while($i < $count){
			$field[$i] = $post[$i];
			$i++;
		}
	$output = $validate->addValidation($post,$type,$name,$required);
	if(count($output[0])){
		$error = new Error();
		$msg = $error->buildError($output[0]);
	}else{
		$cols = array('video_title','video_url','video_date','video_label','video_featured');
		$insert = $database->sqlInsert(TBPREFIX.'_video',$cols,$output[1]);
		if($insert){
			header('location:videos.php');
		}
	}
}else{
	$i = 0;
	$count = 4;
	while($i <= $count){
 		$field[$i] = '';
 		$i++;
 	}
	$field[2] = date($dateformat);
}
?>
			<div id="main">
				<h2>Add Video</h2>
		<?php echo $msg?>
				<form name="releases" action="videosadd.php" method="post">
					<fieldset>
						<dl>
							<dt>* Title:</dt>
							<dd><input name="title" id="title" type="text" value="<?=$field[0]?>" class="full" /></dd>
							<dt>* YouTube Url:</dt>
							<dd><input name="url" id="youtubeurl" type="text" value="<?=$field[1]?>" class="full" /></dd>
							<dt>* Release Date:</dt>
							<dd><input type="text" name="date" value="<?php echo $field[2]?>" id="date" class="date" /> <?php echo $datepicker?></dd>
							<dt>Label:</dt>
							<dd><input name="label" id="label" type="text" value="<?=$field[3]?>" class="semi" /></dd>
							<dt>&nbsp;</dt>
							<dd><input type="checkbox" name="featured" value="1" /> Make featured video.</dd>
						</dl>
						<em class="required">* Denotes Required Fields</em>
						<p class="footer">
							<input type="submit" name="submit" value="Add Video" /> or <a href="videos.php">Cancel</a>
						</p>
					</fieldset>
				</form>
				</div>
				<div id="rightcol">
					
				</div>
<?php include 'footer.inc.php'; ?>