<?php
$session_start = false; // Prevents session error
require_once('admin/core.inc.php');
require_once('admin/library/common.php');
require_once('admin/library/paginate.php');
require_once('admin/database.class.inc.php');

$database = new Db();
if(isset($_POST['addcomment'])) {
	if($_POST['commentname'] == '' || $_POST['commentbody'] == '') {
		header('location:'.$_SERVER['PHP_SELF'].'?article='.$_GET['article']);
	} else {
		$output = array($_GET['article'], date('Y-m-d H:M:S'), $_POST['commentname'], $_POST['commentbody']);
		$cols = array('comment_newsid','comment_date','comment_author','comment_body');
		$insert = $database->sqlInsert(TBPREFIX.'_comment',$cols,$output);
		if($insert) {
		header('location:'.$_SERVER['PHP_SELF'].'?article='.$_GET['article']);
		}
	}	
}

if(isset($_GET['rss']) && $_GET['rss'] == 'news') {
	$viewmore = $_GET['viewmore'];
	include_once('newsfeed.php');
}

if(isset($_GET['download'])) {
	include_once 'downloadmp3.php';
}

function displayPagination($type = false, $perpage = false) {
	$common = new Common();
	$pagination = new Paginate();
	$database = new Db();
	$sortdate = date('Y-m-d');
	
	if($type && $type == "news"){
		if (isset( $_GET['no'])) {
			$offset = $_GET['no'];
		} else {
			$offset = 0;
		}
		$count = $database->sqlQuery("SELECT * FROM ".TBPREFIX."_news");
		$url = $_SERVER['PHP_SELF'].'?no={OFFSET}';
	} elseif($type && $type == "upcoming tour dates" || $type == "past tour dates"){
		if (isset( $_GET['to'])) {
			$offset = $_GET['to'];
		} else {
			$offset = 0;
		}
		if($type && $type == "past tour dates") {
			$count = $database->sqlQuery("SELECT * FROM ".TBPREFIX."_tour WHERE tour_date < '$sortdate'");
		} else {
			$count = $database->sqlQuery("SELECT * FROM ".TBPREFIX."_tour WHERE tour_date >= '$sortdate'");
		}
		$url = $_SERVER['PHP_SELF'].'?to={OFFSET}';
	}
	$total = count($count);
	$pager = $pagination->buildPagination($total,$perpage,$offset,$url);
	$showrecords = $pagination->showRecords();
	$shownext = $pagination->showNext();
		$contents = '';
		$filename = APPPATH.'/admin/template/pagination.tpl.html';
		if(filesize($filename) > 0) {
			$handle = fopen($filename, "r");
			$contents = fread($handle, filesize($filename));
			fclose($handle);
		}
		$repstr = array("{prev-next}" => $shownext, "{numbers}" => $pager, "{viewing}" => $showrecords);
		$output = strtr($contents, $repstr);
		echo $output;
}

function displayNewsStash($type = false, $perpage = false, $paginate = false, $comment = false, $viewmore = false, $postlength = false) {
	
	$common = new Common();
	$database = new Db();

	if($perpage){
	
		if($paginate){
			if(isset($_GET['no'])){
				$offset = $_GET['no'];
			} else {
				$offset = 0;
			}
			$query = "SELECT * FROM ".TBPREFIX."_news ORDER BY news_date DESC, news_id DESC LIMIT ".$offset.",".$perpage;
		} else {
			$query = "SELECT * FROM ".TBPREFIX."_news ORDER BY news_date DESC, news_id DESC LIMIT 0,".$perpage;
		}
	} else {
		$query = "SELECT * FROM ".TBPREFIX."_news ORDER BY news_date DESC, news_id DESC";
	}
	if(isset($_GET['article'])) {
		$id = $_GET['article'];
		$query = "SELECT * FROM ".TBPREFIX."_news WHERE news_id = $id";
	}
	$result = $database->sqlQuery($query);
	$contents = '';
	$output = '';
	if($type && $type == "featured"){
		$filename = APPPATH.'/admin/template/featurednews.tpl.html';
	} elseif($type && $type == "default") {
		$filename = APPPATH.'/admin/template/news.tpl.html';
	}
	
	if(filesize($filename) > 0) {
		$handle = fopen($filename, "r");
		$contents = fread($handle, filesize($filename));
		fclose($handle);
	}
	if($result) {
		foreach($result as $result) {
			$id = $result['news_id'];
			$gocomments = $result['news_comment'];
			$date = date(DATEFORMAT, strtotime($result['news_date']));
			$body = $common->createtags($result['news_body']);
			if($postlength && !isset($_GET['article'])){
				$body_length = explode(' ',$body);
				if(count($body_length) > $postlength && $postlength > 0) {
					$body = implode(' ',array_slice($body_length, 0, $postlength)).' <a href="'.$viewmore.'?article='.$result['news_id'].'" class="viewmore">...view more</a>';
				};	
			}
			$query = "SELECT * FROM ".TBPREFIX."_comment WHERE comment_newsid = $id";
			$result2 = $database->sqlQuery($query);
			$comnumber = 0;
			if($result2) {
				foreach($result2 as $result2) {
					$comnumber += 1;
				}
			}
			if($comment && $result['news_comment'] ==1) {
				$repstr = array("{title}" => "<a href=\"".$viewmore."?article=".$result['news_id']."\">".$result['news_title']."</a>",
								"{body}" => "<p>$body</p>",
								"{author}" => $result['news_author'],
								"{date}" => $date,
								"[com-link]" => "<a href=\"".$viewmore."?article=".$result['news_id']."#comments\">",
								"[/com-link]" => "</a>", "{com-number}" => $comnumber);
				$output = strtr($contents, $repstr);
				echo $output;
			} else {
				$repstr = array("{title}" => "<a href=\"".$viewmore."?article=".$result['news_id']."\">".$result['news_title']."</a>",
								"{date}" => $date,
								"{body}" => "<p>$body</p>",
								"{author}" => $result['news_author'],
								"[com-link]" => "[com-link]", 
								"[/com-link]" => "[/com-link]",
								"{com-number}" => $comnumber);
				$output = strtr($contents, $repstr);
				$output = preg_replace("/\[com-link\](.*)\[\/com-link\]/", "", $output);
				echo $output;
			}
		}
	}
	if(isset($_GET['article'])) {
		if($comment) {
			echo'<div id="comments">';
			if($gocomments == 1) {
				echo '<h3><a name="comments">Comments</a></h3>';
				$query = "SELECT * FROM ".TBPREFIX."_comment WHERE comment_newsid = $id";
				$result = $database->sqlQuery($query);
				$contents = '';
				$output = '';
				$filename = APPPATH.'/admin/template/comments.tpl.html';
				if(filesize($filename) > 0) {
					$handle = fopen($filename, "r");
					$contents = fread($handle, filesize($filename));
					fclose($handle);
				}
				if ($result) {
					foreach($result as $result) {
						$date = date(DATEFORMAT, strtotime($result['comment_date']));
						$body = $common->createtags($result['comment_body']);
						$repstr = array("{author}" => $result['comment_author'],
										"{comment}" => $body,
										"{date}" => $date);
						$output = strtr($contents, $repstr);
						echo $output;
					}
				}
				echo '<fieldset id="addcomment">
				 	  <legend>Add Your Comment</legend>
					  <form action="'.$_SERVER['PHP_SELF'].'?article='.$_GET['article'].'" method="post">
					  <label for="commentname">Name:</label> <input id="commentname" type="text" name="commentname" />
					  <label for="commentbody">Add your comment:</label> <textarea id="commentbody" name="commentbody" rows="5" cols="20"></textarea>
					  <input class="submit" type="submit" name="addcomment" value="Add Your Comment" />
					  </form></fieldset>';	
			} else {
				echo "Comments are disabled for this post.";
			}
			echo'</div>';
		}
	}
}

function displayTourDatesStash($type, $perpage = false, $paginate = false, $row1class = false, $row2class = false) {
	$common = new Common();
	$database = new Db();
	$sortdate = date('Y-m-d');
	
	if($perpage){
	
		if($paginate){
			if(isset($_GET['to'])){
				$offset = $_GET['to'];
			} else {
				$offset = 0;
			}
			if($type && $type == "past"){
				$query = "SELECT * FROM ".TBPREFIX."_tour WHERE tour_date < '$sortdate' ORDER BY tour_date DESC, tour_id DESC LIMIT ".$offset.",".$perpage;
			} else {
				$query = "SELECT * FROM ".TBPREFIX."_tour WHERE tour_date >= '$sortdate' ORDER BY tour_date, tour_id LIMIT ".$offset.",".$perpage;
			}
		} else {
			if($type && $type == "past"){
				$query = "SELECT * FROM ".TBPREFIX."_tour WHERE tour_date < '$sortdate' ORDER BY tour_date DESC, tour_id DESC LIMIT 0,".$perpage;
			} else {
				$query = "SELECT * FROM ".TBPREFIX."_tour WHERE tour_date >= '$sortdate' ORDER BY tour_date, tour_id LIMIT 0,".$perpage;
			}
		}
	} else {
		if($type && $type == "past"){
			$query = "SELECT * FROM ".TBPREFIX."_tour WHERE tour_date < '$sortdate' ORDER BY tour_date DESC, tour_id DESC";
		} else {
			$query = "SELECT * FROM ".TBPREFIX."_tour WHERE tour_date >= '$sortdate' ORDER BY tour_date, tour_id";
		}
	}
	$result = $database->sqlQuery($query);
	$contents = '';
	$output = '';
	$filename = '';
	$i = 0;
	if($type && $type == "featured"){
		$filename = APPPATH.'/admin/template/featuredtourdates.tpl.html';
	} elseif($type && $type == "upcoming" || $type == "past") {
		$filename = APPPATH.'/admin/template/tourdates.tpl.html';
	}
	
	if(filesize($filename) > 0) {
		$handle = fopen($filename, "r");
		$contents = fread($handle, filesize($filename));
		fclose($handle);
	}
	if($result) {
		foreach($result as $result) {
			$date = date(DATEFORMAT, strtotime($result['tour_date']));
			$time = date('g:i A', strtotime($result['tour_time']));
			if ($result['tour_country'] == 'US'){
				$STATE = $common->createStates();
				foreach($STATE as $key => $value){
					if($key == $result['tour_state']){
						$state = $key; 
					} 
				} 
				$location = $state;
			}else{
				$COUNTRY = $common->createCountry();
				foreach($COUNTRY as $key => $value){
					if($key == $result['tour_country']){
						$country = $key;
					} 
				} $location = $country;
			}
			if($row2class && $row1class) {
				if( $i%2 == 1 ) {
					$rowclass = $row2class;
				} else {
					$rowclass = $row1class;
				}
				$i++;
			} else {
				$rowclass = '';
			}
			if($result['tour_tickets'] == '' || $type == 'past') {
				$repstr = array('{row-alternate}' => $rowclass,
								'{date}' => $date,
								'{time}' => $time,
								'{venue}' => $result['tour_venue'],
								'{city}' => $result['tour_city'],
								'{state-country}' => $location,
								'{info}' => $result['tour_info'],
								'[ticket-link]' => '[ticket-link]',
								'[/ticket-link]' => '[/ticket-link]');
				$output = strtr($contents, $repstr);
				$output = preg_replace("/\[ticket-link\](.*)\[\/ticket-link\]/", "", $output);
				echo $output;
			} else {
				$repstr = array('{row-alternate}' => $rowclass,
								'{date}' => $date,
								'{time}' => $time,
								'{venue}' => $result['tour_venue'],
								'{city}' => $result['tour_city'],
								'{state-country}' => $location,
								'{info}' => $result['tour_info'],
								'[ticket-link]' => '<a href="'.$result['tour_tickets'].'">',
								'[/ticket-link]' => '</a>');
				$output = strtr($contents, $repstr);
				echo $output;
			}
		}
	}
}

function displayReleaseStash($type = false, $viewmore = false, $perpage = false,  $row1class = false, $row2class = false) {
	$common = new Common();
	$database = new Db();
	
	if($type && $type == "featured") {
		$query = "SELECT * FROM ".TBPREFIX."_release WHERE release_featured = 1 ORDER BY release_date DESC LIMIT 0, $perpage";
		$filename = APPPATH.'/admin/template/featuredrelease.tpl.html';
	} elseif($type && $type == "discography") {
		$query = "SELECT * FROM ".TBPREFIX."_release ORDER BY release_date DESC";
		$filename = APPPATH.'/admin/template/discography.tpl.html';
	} elseif($type && $type == "track list") {
		$id = $_GET['num'];
		$query = "SELECT * FROM ".TBPREFIX."_track WHERE track_releaseid = '$id' ORDER BY track_orderid";
		$filename = APPPATH.'/admin/template/tracklisting.tpl.html';
	} else {
		$id = $_GET['num'];
		$query = "SELECT * FROM ".TBPREFIX."_release WHERE release_id = '$id'";
		$filename = APPPATH.'/admin/template/releasepage.tpl.html';
	}
	
	$result = $database->sqlQuery($query);
	$contents = '';
	
	if(filesize($filename) > 0) {
		$handle = fopen($filename, "r");
		$contents = fread($handle, filesize($filename));
		fclose($handle);
	}
	if($result) {
		foreach($result as $result) {
			if(isset($result['release_buy']) && $result['release_buy'] == '') {
					$date = date(DATEFORMAT, strtotime($result['release_date']));
					$repstr = array("{title}" => "<a href=\"".$viewmore."?num=".$result['release_id']."\">".$result['release_title']."</a>",
									"{label}" => $result['release_label'],
									"{format}" => $result['release_format'],
									"{image-thumb}" => '<img src="'.UPLOADSURL.'/releases/thumbs/'.$result['release_image'].'" alt="'.$result['release_title'].'" />',
									"{image-full}" => "<a href=\"".$viewmore."?num=".$result['release_id']."\">".'<img src="'.UPLOADSURL.'/releases/'.$result['release_image'].'" alt="'.$result['release_title'].'"  />'."</a>", 
									"{date}" => $date,
									"[buy-link]" => "[buy-link]",	
									"[/buy-link]" => "[/buy-link]");
					$output = strtr($contents, $repstr);
					$output = preg_replace("/\[buy-link\](.*)\[\/buy-link\]/", "", $output);
			} else {
				if($type == "track list") {
					
				} else {
					$date = date(DATEFORMAT, strtotime($result['release_date']));
					$repstr = array("{title}" => "<a href=\"".$viewmore."?num=".$result['release_id']."\">".$result['release_title']."</a>",
									"{label}" => $result['release_label'],
									"{format}" => $result['release_format'],
									"{image-thumb}" => "<a href=\"".$viewmore."?num=".$result['release_id']."\">".'<img src="'.UPLOADSURL.'/releases/thumbs/'.$result['release_image'].'" alt="'.$result['release_title'].'"  />'."</a>",
									"{image-full}" => "<a href=\"".$viewmore."?num=".$result['release_id']."\">".'<img src="'.UPLOADSURL.'/releases/'.$result['release_image'].'" alt="'.$result['release_title'].'"  />'."</a>", 
									"{date}" => $date,
									"[buy-link]" => '<a href="'.$result['release_buy'].'" target="_blank">',	
									"[/buy-link]" => '</a>');
					$output = strtr($contents, $repstr);
				}
			}
			if($type == "release page") {
				$date = date(DATEFORMAT, strtotime($result['release_date']));
				$repstr = array("{title}" => $result['release_title'],
								"{label}" => $result['release_label'],
								"{format}" => $result['release_format'],
								"{image-thumb}" => '<img src="'.UPLOADSURL.'/releases/thumbs/'.$result['release_image'].'" alt="'.$result['release_title'].'"  />',
								"{image-full}" => '<img src="'.UPLOADSURL.'/releases/'.$result['release_image'].'" alt="'.$result['release_title'].'"  />', 
								"{date}" => $date,
								"[buy-link]" => '<a href="'.$result['release_buy'].'" target="_blank">',	
								"[/buy-link]" => '</a>');
				$output = strtr($contents, $repstr);
			}
			if($type == "track list") {
				$trackid = $result['track_id'];
				$query = "SELECT * FROM ".TBPREFIX."_mp3 WHERE mp3_trackid = '$trackid'";
				$result2 = $database->sqlQuery($query);
				$i = 0;
				if($row2class && $row1class) {
					if( $i%2 == 1 ) {
						$rowclass = $row2class;
					} else {
						$rowclass = $row1class;
					}
					$i++;
				} else {
					$rowclass = '';
				}
				$repstr = array("{trackname}" => $result['track_title'],
								"{track-number}" => $result['track_orderid'],
								"{row-alternate}" => $rowclass,
								"[download-link]" => "[download-link]",	
								"[/download-link]" => "[/download-link]");
				$output = strtr($contents, $repstr);
				$output = preg_replace("/\[download-link\](.*)\[\/download-link\]/", "", $output);
				if($result2){
					foreach($result2 as $result2) {
						if($result2['mp3_download'] == 1){
							$repstr = array("{trackname}" => $result['track_title'],
											"{track-number}" => $result['track_orderid'],
											"{row-alternate}" => $rowclass,
											"[download-link]" => '<a href="'.$_SERVER['PHP_SELF'].'?download='.$result2['mp3_id'].'" target="_blank">',	
											"[/download-link]" => '</a>');
							$output = strtr($contents, $repstr);
						}
					}
				}
					
			}
			echo $output;
		}
	}
}

function displayVideoStash($type = fasle, $width = 425, $height = 353, $embedtype = false, $perpage = false){
	$common = new Common();
	$database = new Db();
	
	if($type && $type == "featured") {
		$query = "SELECT * FROM ".TBPREFIX."_video WHERE video_featured = 1 ORDER BY video_date DESC";
		$filename = APPPATH.'/admin/template/featuredvideos.tpl.html';
	} else {
		$query = "SELECT * FROM ".TBPREFIX."_video ORDER BY video_date DESC";
		$filename = APPPATH.'/admin/template/videos.tpl.html';
	}
	
	$result = $database->sqlQuery($query);
	$contents = '';
	
	if(filesize($filename) > 0) {
		$handle = fopen($filename, "r");
		$contents = fread($handle, filesize($filename));
		fclose($handle);
	}
	if($result) {
		$i = 0;
		foreach($result as $result) {
			if($width == "default") {
				$width = 425;
			}
			if($height == "default") {
				$height = 353;
			}
			$date = date(DATEFORMAT, strtotime($result['video_date']));
			if($embedtype && $embedtype == "javascript") {
				$repstr = array("{title}" => $result['video_title'],
								"{label}" => $result['video_label'],
								"{video-embed}" => '<script type="text/javascript">
				   var so = new SWFObject("http://www.youtube.com/v/'.$result['video_url'].'", "http://www.youtube.com/v/'.$result['video_url'].'", "'.$width.'", "'.$height.'", "8", "#000000");
				   so.addParam("wmode", "transparent");
				   so.write("video_'.$i.'");
				</script>',
								"{date}" => $date,
								"{element-identifier}" => "video_".$i);
				$output = strtr($contents, $repstr);
				echo $output;
			} else {
				$repstr = array("{title}" => $result['video_title'],
								"{label}" => $result['video_label'],
								"{video-embed}" => '<object width="'.$width.'" height="'.$height.'"><param name="movie" value="http://www.youtube.com/v/'.$result['video_url'].'"></param><param name="wmode" value="transparent"></param><embed src="http://www.youtube.com/v/'.$result['video_url'].'" type="application/x-shockwave-flash" wmode="transparent" width="'.$width.'" height="'.$height.'"></embed></object>',
								"{date}" => $date,
								"{element-identifier}" => "video_".$i);
				$output = strtr($contents, $repstr);
				echo $output;
			}
			$i++;
		}
	}
}

function displayRssStash($viewmore = false, $link = 'RSS') {
	if($viewmore && $link) {
		echo '<a href="'.$_SERVER['PHP_SELF'].'?rss=news&amp;viewmore='.$viewmore.'">'.$link.'</a>';
	}
}

function displayPlayerStash($backgroundcolor = '#ffffff', $autoplay = false, $embedtype = false) {
	$backgroundcolor = str_replace('#', '', $backgroundcolor);
	$backgroundcolor = '0X'.$backgroundcolor;
	if($embedtype && $embedtype == 'javascript') {
		echo '<div id = "mp3player"></div>
			<script type="text/javascript">
				var so = new SWFObject("'.APPURL.'/stashPlayer.swf?playlist='.APPURL.'/playlist.php&amp;bColor='.$backgroundcolor.'&amp;autoPlay='.$autoplay.'", "'.APPURL.'/stashPlayer.swf?playlist='.APPURL.'/playlist.php&amp;bColor='.$backgroundcolor.'&amp;autoPlay='.$autoplay.'", "200", "50", "8");
				so.addParam("wmode", "transparent");
				so.write("mp3player");
			</script>';
	} else {
		echo '<object width="200" height="50"><param name="movie" value="'.APPURL.'/stashPlayer.swf?playlist='.APPURL.'/playlist.php&amp;bColor='.$backgroundcolor.'&amp;autoPlay='.$autoplay.'"></param><param name="wmode" value="transparent"></param><embed src="'.APPURL.'/stashPlayer.swf?playlist='.APPURL.'/playlist.php&amp;bColor='.$backgroundcolor.'&amp;autoPlay='.$autoplay.'" type="application/x-shockwave-flash" wmode="transparent" width="200" height="50"></embed></object>';
	}
}
?>